My Project: dht::DhtMessage Class Reference

My Project 3.7.7 C++ Distributed Hash Table

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Static Public Attributes | Friends | List of all members
dht::DhtMessage Class Reference
Inheritance diagram for dht::DhtMessage:
[legend]
Collaboration diagram for dht::DhtMessage:
[legend]

## Public Member Functions
| DhtMessage (const std::string &s={}, const Blob &msg={})
std::string | getService () const
Public Member Functions inherited from dht::Value::Serializable< DhtMessage >
virtual const ValueType & | getType () const
virtual void | unpackValue (const Value &v)
virtual Value | packValue () const

## Static Public Member Functions
static Value::Filter | getFilter ()
static bool | storePolicy (InfoHash key, std::shared_ptr< Value > &value, const InfoHash &from, const SockAddr &)
static Value::Filter | ServiceFilter (const std::string &s)

## Public Attributes
std::string | service
Blob | data

## Static Public Attributes
static const ValueType | TYPE

## Friends
std::ostream & | operator<< (std::ostream &, const DhtMessage &)

## Detailed Description

Definition at line 15 of file default_types.h.

## Constructor & Destructor Documentation

## ◆ DhtMessage()

dht::DhtMessage::DhtMessage | ( | const std::string & | s = {},
|  | const Blob & | msg = {} )
| inline

Definition at line 20 of file default_types.h.

## Member Function Documentation

## ◆ getFilter()

Value::Filter dht::DhtMessage::getFilter | ( |  | ) |
| inlinestatic

Definition at line 27 of file default_types.h.

## ◆ getService()

std::string dht::DhtMessage::getService | ( |  | ) | const
| inline

Definition at line 25 of file default_types.h.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | ,
|  | const DhtMessage & | )
| friend

print value for debugging

## Member Data Documentation

## ◆ data

Blob dht::DhtMessage::data

Definition at line 37 of file default_types.h.

## ◆ service

std::string dht::DhtMessage::service

Definition at line 36 of file default_types.h.

## ◆ TYPE

const ValueType dht::DhtMessage::TYPE
| static

Definition at line 18 of file default_types.h.

The documentation for this class was generated from the following file:

- /home/noptrix/ba/blackarch/packages/opendht-c/src/opendht/include/opendht/default_types.h